Skip to main content
`Ctrl`+`K`

# TSGetKSPIterations

Gets the total number of linear iterations used by the time integrator.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetKSPIterations(TS ts, PetscInt *lits)

Not Collective

## Input Parameter

- ts - `TS` context

## Output Parameter

- lits - number of linear iterations

## Note

This counter is reset to zero for each successive call to `TSSolve()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSGetSNESIterations()`, `SNESGetKSPIterations()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex24.c
src/ts/tutorials/ex8.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages